Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(66)

Issue 2883393002: Remove usage of SequencedWorkerPool::GetNamedSequenceToken from DOMStorageContextWrapper. (Closed)

Created:
6 months, 1 week ago by fdoray
Modified:
6 months, 1 week ago
Reviewers:
michaeln
CC:
chromium-reviews, jam, darin-cc_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove usage of SequencedWorkerPool::GetNamedSequenceToken from DOMStorageContextWrapper. SequencedWorkerPool is being deprecated in favor of TaskScheduler. BUG=667892 Review-Url: https://codereview.chromium.org/2883393002 Cr-Commit-Position: refs/heads/master@{#473324} Committed: https://chromium.googlesource.com/chromium/src/+/0d20e12ffabd4d74470e18c1cde77b8b7caed346

Patch Set 1 #

Patch Set 2 : self-review #

Total comments: 6

Patch Set 3 : CR-michaeln-11 #

Messages

Total messages: 21 (15 generated)
fdoray
Please take a look. https://codereview.chromium.org/2883393002/diff/20001/content/browser/dom_storage/dom_storage_context_wrapper.cc File content/browser/dom_storage/dom_storage_context_wrapper.cc (left): https://codereview.chromium.org/2883393002/diff/20001/content/browser/dom_storage/dom_storage_context_wrapper.cc#oldcode93 content/browser/dom_storage/dom_storage_context_wrapper.cc:93: if (GetContentClient()->browser()->ShouldRedirectDOMStorageTaskRunner()) { ShouldRedirectDOMStorageTaskRunner() will ...
6 months, 1 week ago (2017-05-17 17:14:22 UTC) #10
michaeln
https://codereview.chromium.org/2883393002/diff/20001/content/browser/dom_storage/dom_storage_context_wrapper.cc File content/browser/dom_storage/dom_storage_context_wrapper.cc (right): https://codereview.chromium.org/2883393002/diff/20001/content/browser/dom_storage/dom_storage_context_wrapper.cc#newcode91 content/browser/dom_storage/dom_storage_context_wrapper.cc:91: base::TaskShutdownBehavior::BLOCK_SHUTDOWN}; On 2017/05/17 17:14:22, fdoray wrote: > Please confirm ...
6 months, 1 week ago (2017-05-19 00:14:04 UTC) #11
fdoray
PTAnL https://codereview.chromium.org/2883393002/diff/20001/content/browser/dom_storage/dom_storage_context_wrapper.cc File content/browser/dom_storage/dom_storage_context_wrapper.cc (right): https://codereview.chromium.org/2883393002/diff/20001/content/browser/dom_storage/dom_storage_context_wrapper.cc#newcode91 content/browser/dom_storage/dom_storage_context_wrapper.cc:91: base::TaskShutdownBehavior::BLOCK_SHUTDOWN}; On 2017/05/19 00:14:04, michaeln wrote: > On ...
6 months, 1 week ago (2017-05-19 18:44:07 UTC) #14
michaeln
LGTM
6 months, 1 week ago (2017-05-19 19:16:09 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2883393002/40001
6 months, 1 week ago (2017-05-19 19:23:57 UTC) #18
commit-bot: I haz the power
6 months, 1 week ago (2017-05-19 21:22:31 UTC) #21
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/0d20e12ffabd4d74470e18c1cde7...

Powered by Google App Engine
This is Rietveld efc10ee0f